tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Howard M. Lewis Ship (JIRA)" <...@tapestry.apache.org>
Subject [jira] Commented: (TAPESTRY-2498) Add JDK 1.6 compatibility via Javassist 3.8.0.GA
Date Tue, 01 Jul 2008 21:00:45 GMT

    [ https://issues.apache.org/jira/browse/TAPESTRY-2498?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12609709#action_12609709
] 

Howard M. Lewis Ship commented on TAPESTRY-2498:
------------------------------------------------

I hit this as soon as I compiled my app using JDK 1.6, even running on a 1.6 JVM.  Switching
over to the 3.8.0 javassist resolved the problem.  It appears to be platform specific, and
I'm on a Mac.

> Add JDK 1.6 compatibility via Javassist 3.8.0.GA
> ------------------------------------------------
>
>                 Key: TAPESTRY-2498
>                 URL: https://issues.apache.org/jira/browse/TAPESTRY-2498
>             Project: Tapestry
>          Issue Type: Bug
>          Components: tapestry-core
>    Affects Versions: 5.0.13
>            Reporter: Howard M. Lewis Ship
>            Assignee: Howard M. Lewis Ship
>            Priority: Critical
>
> Tapestry is not currently compatible with JDK 1.6 due to Javassist 3.7 having trouble
with JDK 1.6 bytecode.  Local experiments have shown that Javassist 3.8.0.GA solves this problem.
> Currently waiting for Javassist 3.8.0.GA to hit the central Maven repository: http://jira.codehaus.org/browse/MAVENUPLOAD-2126

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tapestry.apache.org
For additional commands, e-mail: dev-help@tapestry.apache.org


Mime
View raw message